Bug 167563 - Review Request: frobtads - Interpreter for the Text Adventure Development System
Review Request: frobtads - Interpreter for the Text Adventure Development System
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
David Lawrence
http://www.chrisgrau.com/packages/fro...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-05 13:00 EDT by Chris Grau
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-13 19:50:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Grau 2005-09-05 13:00:58 EDT
Spec Name or Url: http://www.chrisgrau.com/packages/frobtads/frobtads.spec
SRPM Name or Url: http://www.chrisgrau.com/packages/frobtads/frobtads-0.2-1.src.rpm
Description:
FrobTADS is a console based interpreter for text adventure games written
with the TADS 2 and TADS 3 development systems.
Comment 1 Chris Grau 2005-09-05 13:35:19 EDT
I forgot to include the bash completion configuration I use with frobtads in the
original SRPM.

http://www.chrisgrau.com/packages/frobtads/frobtads.spec
http://www.chrisgrau.com/packages/frobtads/frobtads-0.2-2.src.rpm

%changelog
* Mon Sep  5 2005 Chris Grau <chris@chrisgrau.com> 0.2-2
- Added a bash-completion script to %%doc.
Comment 2 Michel Alexandre Salim 2005-09-05 16:28:40 EDT
Going to review this more thoroughly once I'm approved for fedorabugs, but a
preliminary pass:

OK:
* rpmlint passes cleanly on .src.rpm and binaries
* package naming follows guideline
* spec file name matches base package
* license matches actual license
* license texts included
* spec in American English, legible
* sources match upstream
* package successfully compiled (tested on i386 so far, will check x86_64 later)
* package owns its directories

  Nitpick: %{_datadir}/frobtads looks cleaner as
  %{_datadir}/frobtads/
  %{_datadir}/frobtads/*

Not sure:
* Package license not OSI-approved - modification only for porting, selling not
allowed
* Saving during the game consistently results in:

                                                                              
*** stack smashing detected ***: frob terminated
                                               Aborted

though the saved game file restores fine

Might be a candidate for Livna instead, anyone has experience with non-standard
licenses? This looks like a combination of SuSE's old Yast license and UW's
license for Pine.

Comment 3 Chris Grau 2005-09-09 13:56:01 EDT
(In reply to comment #2)
> Not sure:
> * Package license not OSI-approved - modification only for porting, selling not
> allowed

The license looks okay to me.  I'll wait for input from one of the FE people who
know more.  I'll also ask the maintainer to see what he thinks about it.

> * Saving during the game consistently results in:
> *** stack smashing detected ***: frob terminated
>                                                Aborted

Odd.  Here comes the ever so annoying WORKSFORME.  Which version of FC are you
using?  What game were you using to test?  I think there may be an issue with
different versions of gcc requiring different compiler flags.  It's working fine
for me under FC-4 x86 using a couple of different games.  I'll look into this today.
Comment 4 Arjan van de Ven 2005-09-11 06:17:59 EDT
these buffer overflow checks are new in the fc5 gcc; the buffer overflow itself
is there just it usually is quiet in older fc's
Comment 5 Rahul Sundaram 2005-09-12 18:26:11 EDT

That license is not OSI approved and seems to include restrictions incompatible
with the FSF or OSI guidelines. You might want to get an additional
clarification on this on the extras list though. I would recommend contacting
the upstream developers and requesting a change of license, preferably an
existing Free and open source license 
Comment 6 Chris Grau 2005-09-13 19:50:01 EDT
Due to the licensing issues discussed, I am withdrawing this package.

Note You need to log in before you can comment on or make changes to this bug.